# thread_morphos.cpp File Reference

MorphOS implementation of Threads. More...

`#include "../stdafx.h"`
`#include "thread.h"`
`#include "../debug.h"`
`#include "../core/alloc_func.hpp"`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <exec/types.h>`
`#include <exec/rawfmt.h>`
`#include <dos/dostags.h>`
`#include <proto/dos.h>`
`#include <proto/exec.h>`

Go to the source code of this file.

## Data Structures

struct | OTTDThreadStartupMessage
| avoid name clashes with MorphOS API functions More...
class | ThreadObject_MorphOS
| MorphOS version for ThreadObject. More...

## Functions

void | KPutStr (CONST_STRPTR format)
| Default OpenTTD STDIO/ERR debug output is not very useful for this, so we utilize serial/ramdebug instead.

## Detailed Description

MorphOS implementation of Threads.

Definition in file thread_morphos.cpp.